import java.io.*;
import java.util.*;
import static java.lang.Math.*;

public class Main {

    FastScanner in;
    PrintWriter out;

    static final String FILE = "";

    int n;

    int get(int a, int b) {
        out.println("? " + (a + 1) + " " + (b + 1));
        out.flush();
        return in.nextInt();
    }

    void solve1() {
        int ms[] = new int[n];
        ms[0] = 1;
        for (int i = 1; i < n; i++) {
            if (get(i - 1, i) == 2)
                ms[i] = 3 - ms[i - 1];
            else
                ms[i] = ms[i - 1];
        }

        out.println("Ready!");
        out.flush();
        out.println(2);
        out.flush();
        for (int i = 0; i < n; i++)
            out.print(ms[i] + " ");
        out.flush();
    }

    void solve() {
        n = in.nextInt();
        solve1();
    }

    void run() {
        if (FILE.isEmpty()) {
            in = new FastScanner(new InputStreamReader(System.in));
            out = new PrintWriter(new OutputStreamWriter(System.out));
        } else {
            try {
                in = new FastScanner(new FileReader(FILE + ".in"));
                out = new PrintWriter(new FileWriter(FILE + ".out"));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }

        solve();

        out.close();
    }

    public static void main(String[] args) {
        (new Main()).run();
    }

    class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        public FastScanner(Reader reader) {
            br = new BufferedReader(reader);
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }

        int nextInt() {
            return Integer.parseInt(next());
        }

        long nextLong() {
            return Long.parseLong(next());
        }

        double nextDouble() {
            return Double.parseDouble(next());
        }
    }

    class Pair<A extends Comparable<A>, B extends Comparable<B>> implements Comparable<Pair<A, B>> {
        A a;
        B b;

        public Pair(A a, B b) {
            this.a = a;
            this.b = b;
        }

        @Override
        public boolean equals(Object o) {
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;

            Pair<?, ?> pair = (Pair<?, ?>) o;

            if (a != null ? !a.equals(pair.a) : pair.a != null) return false;
            return b != null ? b.equals(pair.b) : pair.b == null;

        }

        @Override
        public int compareTo(Pair<A, B> o) {
            int cmp = a.compareTo(o.a);
            if (cmp == 0)
                return b.compareTo(o.b);
            return cmp;
        }
    }
}
